Skip to main content
`Ctrl`+`K`

# is_k_edge_connected

is_k_edge_connected(G, k)

  Tests to see if a graph is k-edge-connected.

  Is it impossible to disconnect the graph by removing fewer than k edges? If so, then G is k-edge-connected.

  Parameters:
    G NetworkX graph

      An undirected graph.

    k integer

      edge connectivity to test for

  Returns:
    boolean

      True if G is k-edge-connected.

  See also

  `is_locally_k_edge_connected()`

  Examples

      >>> G = nx.barbell_graph(10, 0)
      >>> nx.is_k_edge_connected(G, k=1)
      True
      >>> nx.is_k_edge_connected(G, k=2)
      False